# ClearButton | tablefilter v0.4.16 API Document

    import {ClearButton} from 'tablefilter/src/modules/clearButton.js'

public class | source

# ClearButton

#### Extends:

Feature → ClearButton

Clear button UI component

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of ClearButton |

## Member Summary

Public Members
public | cssClass : String Css class for reset button |
public | html : String Custom Html string for the clear button |
public | initialized : boolean |
public | targetId : String Container element ID |
public | text : String Text for the clear button |
public | tooltip : String Tooltip text for the clear button |

## Method Summary

Public Methods
public | destroy () Destroy ClearButton instance |
public | init () Initialize clear button component |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of ClearButton

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public cssClass: String source

Css class for reset button

### public html: String source

Custom Html string for the clear button

### public initialized: boolean source

#### Override:

Feature#initialized

### public targetId: String source

Container element ID

### public text: String source

Text for the clear button

### public tooltip: String source

Tooltip text for the clear button

## Public Methods

### public destroy() source

Destroy ClearButton instance

#### Override:

Feature#destroy

### public init() source

Initialize clear button component

#### Override:

Feature#init